import path2 from 'path';
import normalize from 'normalize-path';
export * from 'typed-vuex';

const nuxtTypedVuex = async function() {
  if (!this.options.store) {
    console.warn("You do not have a Nuxt store defined.");
  }
  const buildDir = this.options.buildDir || "";
  this.addPlugin({
    src: path2.resolve(__dirname, "../template/plugin.js"),
    fileName: "nuxt-typed-vuex.js",
    options: {
      store: normalize(path2.join(buildDir, "store"))
    }
  });
  this.options.build.transpile = this.options.build.transpile || [];
  this.options.build.transpile.push(/typed-vuex/);
};
nuxtTypedVuex.meta = {name: "nuxt-typed-vuex"};

export default nuxtTypedVuex;
