'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const path2 = require('path');
const normalize = require('normalize-path');
const typedVuex = require('typed-vuex');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

const path2__default = /*#__PURE__*/_interopDefaultLegacy(path2);
const normalize__default = /*#__PURE__*/_interopDefaultLegacy(normalize);

const nuxtTypedVuex = async function() {
  if (!this.options.store) {
    console.warn("You do not have a Nuxt store defined.");
  }
  const buildDir = this.options.buildDir || "";
  this.addPlugin({
    src: path2__default['default'].resolve(__dirname, "../template/plugin.js"),
    fileName: "nuxt-typed-vuex.js",
    options: {
      store: normalize__default['default'](path2__default['default'].join(buildDir, "store"))
    }
  });
  this.options.build.transpile = this.options.build.transpile || [];
  this.options.build.transpile.push(/typed-vuex/);
};
nuxtTypedVuex.meta = {name: "nuxt-typed-vuex"};

Object.keys(typedVuex).forEach(function (k) {
  if (k !== 'default') Object.defineProperty(exports, k, {
    enumerable: true,
    get: function () {
      return typedVuex[k];
    }
  });
});
exports.default = nuxtTypedVuex;
